%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-jaxrs-1.1-api
Version:       1.0.1
Release:       %mkrel 18
Group:         Development/Java
Summary:       Java API for RESTful Web Services (JAX-RS) 1.1
License:       CDDL
URL:           https://www.jboss.org

# git clone git://github.com/jboss/jboss-jaxrs-api_spec.git
# cd jboss-jaxrs-api_spec/ && git archive --format=tar --prefix=jboss-jaxrs-1.1-api/ jboss-jaxrs-api_1.1_spec-1.0.1.Final | xz > jboss-jaxrs-1.1-api-1.0.1.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
JSR 311: The Javai API for RESTful Web Services (JAX-RS) 1.1

%package javadoc
Summary:          Javadoc for %{name}


%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Mon May 27 2024 ns80 <ns80> 1.0.1-18.mga10
+ Revision: 2068353
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0.1-17.mga9
+ Revision: 1827355
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-16.mga8
+ Revision: 1506249
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.1-15.mga7
+ Revision: 1262207
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.0.1-14.mga6
+ Revision: 1102681
- Fix spec file
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.1-12.mga6
+ Revision: 976443
- First rebuild of the java stack
- sync package jboss-jaxrs-1.1-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 22 2015 daviddavid <daviddavid> 1.0.1-9.mga5
+ Revision: 811869
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 741772
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.1-6.mga4
+ Revision: 559769
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 355029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0.1-3.mga3
+ Revision: 342891
- imported package jboss-jaxrs-1.1-api


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.1-2
- Fixed summary and description

* Wed Apr 04 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.1-1
- Upstream release 1.0.1.Final
- Fixed R and BR

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.1-0.1.20120309git3c3e7a
- Packaging after license cleanup upstream

* Fri Sep 23 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

